NETDEV_STATE_CHANGE(9)

NAME
netdev_state_change - device changes state

SYNOPSIS

void netdev_state_change (struct net_device * dev);

ARGUMENTS

dev device to cause notification

DESCRIPTION

Called to indicate a device has changed state. This function calls the notifier chains for netdev_chain and sends a NEWLINK message to the routing socket.